Skip to main content
GET
/
api
/
v1
/
app
/
referrals
/
program
Get the referral program
curl --request GET \
  --url https://{subdomain}.easyflows.io/api/v1/app/referrals/program
{
  "data": {
    "referrer_reward": {
      "id": "c08c5d3b-e98f-4c47-b7e1-7b8e792f99ea",
      "type": "coupon",
      "name": "10% Off Coupon",
      "description": "Get 10% off your next purchase.",
      "image": "https://example.com/reward.jpg"
    },
    "referee_reward": {
      "id": "c08c5d3b-e98f-4c47-b7e1-7b8e792f99ea",
      "type": "coupon",
      "name": "10% Off Coupon",
      "description": "Get 10% off your next purchase.",
      "image": "https://example.com/reward.jpg"
    }
  }
}

Query Parameters

profile_id
string

The identifier of the profile for which to get the program details.

Response

Success

data
object
required

The main data returned by the API endpoint.